Get Points Conversion Schedule

Retrieves the history of promised points conversion schedules of a customer for a single program or across all programs of the org.This is a light API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Resource Information

URIv2/customers/userId/promisedPointsSchedule
HTTP MethodGET
Pagination supported?NA
Rate limitNA
Batch supportNA

Important Note

WhenfetchDataForAllPrograms is truefetchDataForAllPrograms is false
programId is passedYou will still see promised points schedules of the customer across all programsYou will still see promised points schedules of that particular program.
programId is not passedYou will still see promised points schedules of the customer across all programsYou will still see promised points schedules of the default program.

Response parameters

Response ParameterDescription
entityIdThe unique identifier for the entity.
entityTypeThe type of entity (in this case, "CUSTOMER").
promisedPointsScheduleListA list of schedules detailing points that are promised.
promisedPointsScheduleList.pointsThe number of points in the schedule.
promisedPointsScheduleList.redeemableFromThe date from which the points become redeemable in yyyy-mm-dd format. Note: This field will be deprecated in the future and is being replaced by redeemableFromISO.
promisedPointsScheduleList.redeemableFromISO

Indicates the date and time from which the points are redeemable in ISO 8601 format, returned in the server time zone.

EU server example
2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example
2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

promisedPointsScheduleList.programIdThe identifier for the program associated with the points.
promisedPointsScheduleList.pointsTypeThe type of points (e.g., "line_item_promotions", "bill_regular", etc.).
triggerBasedPointsListA list of points based on specific triggers
warningsA list of warnings related to the entity

Example

when fetchDataForAllPrograms=false and fetchEarliestExpiryOnly=false

http://{{URL}}/v2/customers/lookup/promisedPointsSchedule?programId=2199&entityType=CUSTOMER&fetchDataForAllPrograms=false&identifierName=mobile&identifierValue=917752198768&source=INSTORE
{
    "entityId": 374844123,
    "entityType": "CUSTOMER",
    "promisedPointsScheduleList": [
        {
            "points": 390.000,
            "redeemableFrom": "2022-04-10",
            "programId": 2199,
            "pointsType": "line_item_promotions"
        },
        {
            "points": 130.000,
            "redeemableFrom": "2022-04-10",
            "programId": 2199,
            "pointsType": "bill_regular"
        },
        {
            "points": 130.000,
            "redeemableFrom": "2022-04-10",
            "programId": 2199,
            "pointsType": "bill_promotions"
        },
        {
            "points": 390.000,
            "redeemableFrom": "2022-04-10",
            "programId": 2199,
            "pointsType": "line_item_regular"
        }
    ],
    "triggerBasedPointsList": [],
    "warnings": []
}

when fetchDataForAllPrograms=true

http://{{URL}}/v2/customers/lookup/promisedPointsSchedule?programId=1933&startDate=2022-04-01&endDate=2122-04-09&entityType=CUSTOMER&fetchDataForAllPrograms=true&identifierName=mobile&identifierValue=917752198768&source=INSTORE

{
    "entityId": 374844123,
    "entityType": "CUSTOMER",
    "promisedPointsScheduleList": [
        {
            "points": 390.000,
            "redeemableFrom": "2022-04-10",
            "programId": 2199,
            "pointsType": "line_item_promotions"
        },
        {
            "points": 300.00,
            "redeemableFrom": "2022-04-08",
            "programId": 1933,
            "pointsType": "line_item_promotions"
        },
        {
            "points": 130.000,
            "redeemableFrom": "2022-04-10",
            "programId": 2199,
            "pointsType": "bill_regular"
        },
        {
            "points": 130.000,
            "redeemableFrom": "2022-04-10",
            "programId": 2199,
            "pointsType": "bill_promotions"
        },
        {
            "points": 180.000,
            "redeemableFrom": "2022-04-09",
            "programId": 2199,
            "pointsType": "line_item_promotions"
        },
        {
            "points": 100.00,
            "redeemableFrom": "2022-04-08",
            "programId": 1933,
            "pointsType": "bill_regular"
        },
        {
            "points": 60.000,
            "redeemableFrom": "2022-04-09",
            "programId": 2199,
            "pointsType": "bill_regular"
        },
        {
            "points": 180.000,
            "redeemableFrom": "2022-04-09",
            "programId": 2199,
            "pointsType": "line_item_regular"
        },
        {
            "points": 390.000,
            "redeemableFrom": "2022-04-10",
            "programId": 2199,
            "pointsType": "line_item_regular"
        },
        {
            "points": 60.000,
            "redeemableFrom": "2022-04-09",
            "programId": 2199,
            "pointsType": "bill_promotions"
        },
        {
            "points": 100.00,
            "redeemableFrom": "2022-04-08",
            "programId": 1933,
            "pointsType": "bill_promotions"
        }
    ],
    "triggerBasedPointsList": [],
    "warnings": []
}

Response for trigger-based points

{
    "entityId": 342249069,
    "entityType": "CUSTOMER",
    "promisedPointsScheduleList": [],
    "triggerBasedPointsList": [
        {
            "points": 300.000,
            "programId": 890,
            "pointsType": "line_item_promotions"
        }
    ],
    "warnings": []
}

API specific error code

Error CodeDescriptionReason
8015Customer not found for the given identifierscustomer id is invalid or unsupported
885Invalid program id passedprogram Id is invalid or unsupported
1632group id/externalId/primary userId passed is not validInvalid group id/externalid/primary userid
Path Params
string
required

Unique ID of the customer.

Query Params
string

Identifier type used to fetch the customer's points conversion schedule details.

string

Identifier of the customer specific to the identifierName.

string

Source on which the identifier is available.

boolean
Defaults to false

Pass true to fetch points conversion schedules from all the available programs of the org.

string
enum

Pass CUSTOMER to fetch the points conversion schedules of an individual (customer), FLEET to fetch details at the group level. Default value is CUSTOMER.

Allowed:
date

Date (YYYY-MM-DD) from which points conversion schedule details need to be fetched. Minimum supported date - current time + 1 day. Default value - current time.

date

End date (YYYY-MM-DD) for the points conversion schedule details need to be fetched. Maximum supported date - current time + 100 years (this is the default value).

int32

Fetch points conversion schedules of the customer from a specific program. Pass the programId. If not passed, it shows the points balance in the default program.

Headers
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json